1. Subscription
  • Public Plans
    • List commercially visible plans
      GET
    • Show one commercially visible plan
      GET
  • Plans Management
    • List all plans including inactive and soft-deleted
      GET
    • Create a plan
      POST
    • Show a plan for administration
      GET
    • Update a plan
      PATCH
  • Billing Webhooks
    • Receive a billing provider webhook
      POST
  • Channel Webhooks
    • Meta webhook verification challenge
      GET
    • Receive Meta messaging events
      POST
    • Receive Telegram bot updates
      POST
    • WhatsApp Business verification challenge
      GET
    • Receive WhatsApp Business messaging events
      POST
    • Receive WhatsApp Web inbound messages
      POST
  • Commerce Webhooks
    • Receive a WooCommerce webhook
      POST
  • Authentication
    • Current workspace and API key
      GET
  • Subscription
    • Current workspace subscription
      GET
    • Initiate subscription checkout
      POST
    • Change subscription plan
      POST
    • Cancel subscription at period end
      POST
    • Resume a scheduled cancellation
      POST
  • Channels
    • List enabled channels
      GET
  • Contacts
    • List contacts
    • Create a contact
    • View a contact
    • Update a contact
  • Conversations
    • List conversations
    • View a conversation
  • Messages
    • List conversation messages
    • Send a message
  • Leads
    • List leads
    • Create a lead
    • View a lead
    • Update a lead
  • Knowledge
    • List knowledge base entries
  • Schemas
    • PublicPlan
    • Subscription
    • PublicPlanFeature
    • CheckoutRequest
    • PublicPlanLimit
    • CheckoutResponse
    • PlatformPlan
    • ChangePlanRequest
    • ApiKeyInfo
    • PlatformPlanCreateRequest
    • PlatformPlanUpdateRequest
    • Business
    • WebhookAcceptResponse
    • Channel
    • Error
    • Contact
    • ContactCreateRequest
    • ValidationError
    • ContactUpdateRequest
    • Conversation
    • Message
    • MessageCreateRequest
    • Lead
    • LeadCreateRequest
    • LeadUpdateRequest
    • KnowledgeBaseEntry
  1. Subscription

Cancel subscription at period end

POST
https://api.replyable.ai/v1/workspace/subscription/cancel
Schedules cancellation at the end of the current billing period or trial. Does not perform destructive
immediate cancellation.

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or

Responses

🟢200SubscriptionResponse
application/json
Subscription state
Bodyapplication/json

🟠401Unauthenticated
🟠403Forbidden
🟠409Conflict
🟠429TooManyRequests
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api.replyable.ai/v1/workspace/subscription/cancel' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Example 1
{
    "data": {
        "id": "string",
        "status": "trialing",
        "plan": {
            "id": "string",
            "slug": "string",
            "name": "string"
        },
        "current_period_start": "2019-08-24T14:15:22.123Z",
        "current_period_end": "2019-08-24T14:15:22.123Z",
        "trial_ends_at": "2019-08-24T14:15:22.123Z",
        "cancel_at_period_end": true,
        "cancelled_at": "2019-08-24T14:15:22.123Z",
        "ended_at": "2019-08-24T14:15:22.123Z",
        "available_actions": [
            "change_plan"
        ]
    }
}
Modified at 2026-09-10 10:40:46
Previous
Change subscription plan
Next
Resume a scheduled cancellation
Built with